#include "block.h"
#include "string.h"
#include <stdlib.h>
#include <stdio.h>

#if 0

void 
memset(void *dest, byte c, word cnt)
{
	while (cnt--) 
		*(char*)dest++ = c;
}

void 
memmove(void *dest, void *src, word cnt)
{
	register char *d = dest, *s = src;
	
	if (d > s && (d - s) < cnt) {
		d += cnt - 1;
		s += cnt - 1;
		while (cnt--) 
			*(char*)d-- = *(char*)s--;
	} else
		while (cnt--) 
			*(char*)d++ = *(char*)s++;
}

#endif

#ifdef BLOCK_USE_STRNCPYX

char*
strncpyx(char *dest, const char *src, size_t n)
{
	register char *d = dest;

	if (!n)
		return dest;

	while (n-- && ('\0' != (*d++ = *src++)));
	d[-1] = '\0';

	return dest;
}

#endif

#ifdef BLOCK_USE_STRNCMP

int
strncmp(const char *a, const char *b, size_t n)
{
	while(n-- && *a && *a == *b) {
		a++;
		b++;
	}
	return *(const unsigned char *)a - *(const unsigned char *)b;
}

#endif

#ifdef BLOCK_USE_STRCASECMP

int
strcasecmp(const char *a, const char *b)
{
	while(*a && tolower(*a) == tolower(*b)) {
		a++;
		b++;
	}
	return tolower(*(const unsigned char *)a) - tolower(*(const unsigned char *)b);
}

#endif
