#ifndef _PARSE_FLOAT_
#define _PARSE_FLOAT_

//#define TEST_FLOAT

#include "globals.h"

#ifndef __CKDM__
typedef unsigned char byte;
#endif


/* Vraci 0 pri neuspesnem parsovani, 1 pri uspesnem 
 * Dokaze prechroupat nasledujici:
 * 1
 * 1.1
 * .1
 * 1E-11
 * 1.1E-3
 * .1E-3
 * +1
 * +1E+1
 *
 * exponent musi byt v rozsahu 0..255
 */

byte
parse_float(const char *s, float *f);

#endif /* _PARSE_FLOAT_ */
